log_info_cat Struct Reference
Osmocom logging framework

Information regarding one logging category. More...

`#include <logging.h>`

## Data Fields

const char * | name
| name of category More...
const char * | color
| color string for cateyory More...
const char * | description
| description text More...
uint8_t | loglevel
| currently selected log-level More...
uint8_t | enabled
| is this category enabled or not More...

## Detailed Description

Information regarding one logging category.

## Field Documentation

## color

const char* log_info_cat::color

color string for cateyory

Referenced by color().

## description

const char* log_info_cat::description

description text

## enabled

uint8_t log_info_cat::enabled

is this category enabled or not

Referenced by log_target_create().

## loglevel

uint8_t log_info_cat::loglevel

currently selected log-level

Referenced by log_init(), and log_target_create().

## name

const char* log_info_cat::name

name of category

Referenced by log_category_name(), log_parse_category(), and log_parse_category_mask().

The documentation for this struct was generated from the following file:

- include/osmocom/core/logging.h